#include <pic.h>
__CONFIG(INTIO & WDTDIS & PWRTEN & MCLRDIS & BOREN & UNPROTECT);
//			3FFC	3FF7	3FEF	3FDF		3FFF	3FFF
#define SOUND1 GPIO2
#define SOUND2 GPIO0

bit svet=0;
unsigned char i=0;
unsigned int k=0;

interrupt void tajm(void) 
{
	//----------------------------------------     
	if (T0IF & T0IE) 
	    {
			T0IF=0;
			if (svet)
			{
				k++;
				if (k>=4000 && k<=5500)
				{
					i++;
					if (i<2)
					{
						SOUND1=0;
						SOUND2=1;		
					}
					if (i>1)
					{
						SOUND1=1;
						SOUND2=0;
						i=0;
					}
				}
				if (k>6500)
				{
					k=4000;
				}
			}
			else
			{
				SOUND1=0;
				SOUND2=0;
				k=0;
				i=0;
			}
			GIE=1;
	    } 
	//----------------------------------------     
	/*if (TMR1IF& TMR1IE) 
	    {
			TMR1IF=0;
			GIE=1;
	    } */
	//------------------------------------------ 
	if (CMIF && CMIE)
	{
		CMIF=0;
		svet=COUT;
	}
}

void main(void)
{
	OSCCAL=0b10000000;	//   RC 

	GIE=1;		//   
	PEIE=1;		//     
	T0IE=1;		//     TMR0
	INTE=0;		//    INT
	GPIE=0;		//        GPIO

	EEIE=0;		//        EEPROM
	ADIE=0;		//      
	CMIE=1;		//     
	TMR1IE=0;	//     TMR1
	
	TMR0=0;
	OPTION= 0b11010000; //  TMR0 1:2,    
/*						//  TMR1
	TMR1GE=1;			//  TMR1 ,  T1G=0
	T1CKPS1=1;			//  TMR1
	T1CKPS0=1;			//  TMR1
	T1OSCEN=0;			//  LP  
	T1SYNC=1;			//     
	TMR1CS=0;			// TMR1   
	TMR1ON=0;			// TMR1 
*/

	TRISIO=0b11000010;	//  GP1 - ,  
	WPU=0b00000000;		//   

	CINV=1;				//   
	CIS=0;				//   
	CM2=1;				//    
	CM1=0;				//    
	CM0=0;				//    

	VREN=1;				//     
	VRR=0;				//    V   
	VR3=1;				//   
	VR2=1;				//   
	VR1=1;				//   
	VR0=1;				//   



	while(1==1)			//   
	{
	}
}

